/* gvp.h - Generic Variable Parsing */
/* Created: Tue 28 Mar 2023 10:50:07 PM EDT malakai */
/* Copyright © 1991-2023 The Last Outpost Project */
/* $Id: gvp.h,v 1.3 2023/04/08 02:27:01 malakai Exp $ */

/* Copyright © 2023 Jeff Jahr <malakai@jeffrika.com>
 *
 * This file is part of Locolor - Last Outpost terminal color library
 *
 * Locolor is free software: you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option)
 * any later version.
 *
 * Locolor is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Locolor.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef LO_GVS_H
#define LO_GVS_H

/* ---- global #defines ---- */

/* ---- structs and typedefs ---- */

/* ---- exported global variable declarations ---- */

/* ---- exported function declarations ---- */
int gvp_parse(char *src, GList **argloc);
GList *free_gvp_list(GList *l);
char *gvp_argno(GList *argl,int n);
int gvp_test(void);

#endif /* LO_GVS_H */
